﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Powell.Teams.PublicApi.WebClient.Models
{

    /// <summary>
    /// Team template model
    /// </summary>
    public class ApiTemplateModel
    {
        /// <summary>
        ///     Gets or sets the description.
        /// </summary>
        /// <value>
        ///     The description.
        /// </value>
        public string Description { get; set; }

        /// <summary>
        ///     Gets or sets the team identifier.
        /// </summary>
        /// <value>
        ///     The team identifier.
        /// </value>
        public string DisplayName { get; set; }

        /// <summary>
        ///     Gets or sets the team identifier.
        /// </summary>
        /// <value>
        ///     The team identifier.
        /// </value>
        public Guid? Id { get; set; }


        public Guid? NamingConventionId { get; set; }

        /// <summary>
        ///     Gets or sets is the template name.
        /// </summary>
        /// <value>
        ///     The template name.
        /// </value>
        public string Name { get; set; }
    }
}
